POST api/cleanroomapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

CleanRoomViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

cleanroom_type_id

globally unique identifier

Required

communication_server_id

globally unique identifier

Required

id

globally unique identifier

None.

local_id

integer

Range: inclusive between 0 and ∞

local_name

string

None.

name

string

Required

type_of_temperature

string

Required

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "cleanroom_type_id": "61554ea0-160e-41a5-aa75-5fd4bf3eba5b",
  "communication_server_id": "9039b123-2fe5-400a-8c87-3df303628f7a",
  "id": "401b4441-a320-48dd-b91a-fe4f68b75738",
  "local_id": 1,
  "local_name": "sample string 3",
  "name": "sample string 4",
  "type_of_temperature": "sample string 5"
}

application/xml, text/xml

Sample:
<cleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <cleanroom_type_id>61554ea0-160e-41a5-aa75-5fd4bf3eba5b</cleanroom_type_id>
  <communication_server_id>9039b123-2fe5-400a-8c87-3df303628f7a</communication_server_id>
  <id>401b4441-a320-48dd-b91a-fe4f68b75738</id>
  <local_id>1</local_id>
  <local_name>sample string 3</local_name>
  <name>sample string 4</name>
  <type_of_temperature>sample string 5</type_of_temperature>
</cleanroom>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"ae4613bc-d7cf-4227-ad83-761e40de1cf4"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">ae4613bc-d7cf-4227-ad83-761e40de1cf4</guid>